import cn.hutool.http.HttpUtil;
import cn.hutool.json.JSONUtil;
import org.apache.log4j.Logger;

public class RequestUtil {

    private final static Logger log = Logger.getLogger(RequestUtil.class);
    private static final String SDK_URL = "http://localhost:8808/post";
    private static final String REQUEST_STR = "[\"基础对象\"]";

    public static boolean requestSDK() {
        try {
            String result = HttpUtil.post(SDK_URL, REQUEST_STR);
            log.debug("SDK接口返回：" + result);
            return JSONUtil.isJson(result);
        } catch (Exception e) {
            log.error("SDK接口调用异常", e);
            return false;
        }
    }
}
